import { AdRecord } from '../records/ad.record';

const defaultObj = {
  name: 'Mieszkanie',
  description: 'Do wynajęcia',
  url: 'https://piszanin.pl',
  price: 1400,
  lat: 51.213,
  lon: 21.56,
};

test('Can build AdRecord', () => {
  const ad = new AdRecord(defaultObj);

  expect(ad.name).toBe('Test Name');
  expect(ad.description).toBe('blah');
});

test('Validates invalid price', () => {
  expect(
    () =>
      new AdRecord({
        ...defaultObj,
        price: -3,
      })
  ).toThrow('Cena nie może być mniejsza niż 0 lub większa niż 9 999 999.');
});
